| gclib 2.4.1 Galil Communications Library

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | List of all members
gclib.GDataRecord47300_24EX Struct Reference

Data record struct for RIO-47300 with 24EX I/O daughter board. More...

Inheritance diagram for gclib.GDataRecord47300_24EX:

## Public Member Functions
byte[] | byte_array ()
| Returns the data record as a byte array and allows for access to individual bytes.

## Public Attributes
UB | header_0
| 1st Byte of Header.
UB | header_1
| 2nd Byte of Header.
UB | header_2
| 3rd Byte of Header.
UB | header_3
| 4th Byte of Header.
UW | sample_number
| Sample number.
UB | error_code
| Error code.
UB | general_status
| General status.
UW | output_analog_0
| Analog output 0.
UW | output_analog_1
| Analog output 1.
UW | output_analog_2
| Analog output 2.
UW | output_analog_3
| Analog output 3.
UW | output_analog_4
| Analog output 4.
UW | output_analog_5
| Analog output 5.
UW | output_analog_6
| Analog output 6.
UW | output_analog_7
| Analog output 7.
UW | input_analog_0
| Analog input 0.
UW | input_analog_1
| Analog input 1.
UW | input_analog_2
| Analog input 2.
UW | input_analog_3
| Analog input 3.
UW | input_analog_4
| Analog input 4.
UW | input_analog_5
| Analog input 5.
UW | input_analog_6
| Analog input 6.
UW | input_analog_7
| Analog input 7.
UW | output_bank_0
| Digital outputs 0-15.
UW | output_bank_1
| Digital outputs 16-23.
UW | input_bank_0
| Digital inputs 0-15.
UW | input_bank_1
| Digital inputs 16-23.
UL | pulse_count_0
| Pulse counter (see PC)8.
SL | zc_variable
| ZC User-defined variable (see ZC).
SL | zd_variable
| ZD User-defined variable (see ZD).
UW | output_bank_2
| Digital outputs 24-39. Data only valid for parts with 24EXOUT.
UW | output_back_3
| Digital outputs 40-47. Data only valid for parts with 24EXOUT.
UW | input_bank_2
| Digital inputs 24-39. Data only valid for parts with 24EXIN.
UW | input_bank_3
| Digital inputs 40-47. Data only valid for parts with 24EXIN.

## Detailed Description

Data record struct for RIO-47300 with 24EX I/O daughter board.

Definition at line 1872 of file gclib.cs.

## Member Function Documentation

## ◆ byte_array()

byte[] gclib.GDataRecord47300_24EX.byte_array | ( |  | ) |
| inline

Returns the data record as a byte array and allows for access to individual bytes.

Implements gclib.GDataRecord.

Definition at line 1874 of file gclib.cs.

## Member Data Documentation

## ◆ header_0

UB gclib.GDataRecord47300_24EX.header_0

1st Byte of Header.

Definition at line 1878 of file gclib.cs.

## ◆ header_1

UB gclib.GDataRecord47300_24EX.header_1

2nd Byte of Header.

Definition at line 1879 of file gclib.cs.

## ◆ header_2

UB gclib.GDataRecord47300_24EX.header_2

3rd Byte of Header.

Definition at line 1880 of file gclib.cs.

## ◆ header_3

UB gclib.GDataRecord47300_24EX.header_3

4th Byte of Header.

Definition at line 1881 of file gclib.cs.

## ◆ sample_number

UW gclib.GDataRecord47300_24EX.sample_number

Sample number.

Definition at line 1883 of file gclib.cs.

## ◆ error_code

UB gclib.GDataRecord47300_24EX.error_code

Error code.

Definition at line 1884 of file gclib.cs.

## ◆ general_status

UB gclib.GDataRecord47300_24EX.general_status

General status.

Definition at line 1885 of file gclib.cs.

## ◆ output_analog_0

UW gclib.GDataRecord47300_24EX.output_analog_0

Analog output 0.

Definition at line 1887 of file gclib.cs.

## ◆ output_analog_1

UW gclib.GDataRecord47300_24EX.output_analog_1

Analog output 1.

Definition at line 1888 of file gclib.cs.

## ◆ output_analog_2

UW gclib.GDataRecord47300_24EX.output_analog_2

Analog output 2.

Definition at line 1889 of file gclib.cs.

## ◆ output_analog_3

UW gclib.GDataRecord47300_24EX.output_analog_3

Analog output 3.

Definition at line 1890 of file gclib.cs.

## ◆ output_analog_4

UW gclib.GDataRecord47300_24EX.output_analog_4

Analog output 4.

Definition at line 1891 of file gclib.cs.

## ◆ output_analog_5

UW gclib.GDataRecord47300_24EX.output_analog_5

Analog output 5.

Definition at line 1892 of file gclib.cs.

## ◆ output_analog_6

UW gclib.GDataRecord47300_24EX.output_analog_6

Analog output 6.

Definition at line 1893 of file gclib.cs.

## ◆ output_analog_7

UW gclib.GDataRecord47300_24EX.output_analog_7

Analog output 7.

Definition at line 1894 of file gclib.cs.

## ◆ input_analog_0

UW gclib.GDataRecord47300_24EX.input_analog_0

Analog input 0.

Definition at line 1896 of file gclib.cs.

## ◆ input_analog_1

UW gclib.GDataRecord47300_24EX.input_analog_1

Analog input 1.

Definition at line 1897 of file gclib.cs.

## ◆ input_analog_2

UW gclib.GDataRecord47300_24EX.input_analog_2

Analog input 2.

Definition at line 1898 of file gclib.cs.

## ◆ input_analog_3

UW gclib.GDataRecord47300_24EX.input_analog_3

Analog input 3.

Definition at line 1899 of file gclib.cs.

## ◆ input_analog_4

UW gclib.GDataRecord47300_24EX.input_analog_4

Analog input 4.

Definition at line 1900 of file gclib.cs.

## ◆ input_analog_5

UW gclib.GDataRecord47300_24EX.input_analog_5

Analog input 5.

Definition at line 1901 of file gclib.cs.

## ◆ input_analog_6

UW gclib.GDataRecord47300_24EX.input_analog_6

Analog input 6.

Definition at line 1902 of file gclib.cs.

## ◆ input_analog_7

UW gclib.GDataRecord47300_24EX.input_analog_7

Analog input 7.

Definition at line 1903 of file gclib.cs.

## ◆ output_bank_0

UW gclib.GDataRecord47300_24EX.output_bank_0

Digital outputs 0-15.

Definition at line 1905 of file gclib.cs.

## ◆ output_bank_1

UW gclib.GDataRecord47300_24EX.output_bank_1

Digital outputs 16-23.

Definition at line 1906 of file gclib.cs.

## ◆ input_bank_0

UW gclib.GDataRecord47300_24EX.input_bank_0

Digital inputs 0-15.

Definition at line 1908 of file gclib.cs.

## ◆ input_bank_1

UW gclib.GDataRecord47300_24EX.input_bank_1

Digital inputs 16-23.

Definition at line 1909 of file gclib.cs.

## ◆ pulse_count_0

UL gclib.GDataRecord47300_24EX.pulse_count_0

Pulse counter (see PC)8.

Definition at line 1911 of file gclib.cs.

## ◆ zc_variable

SL gclib.GDataRecord47300_24EX.zc_variable

ZC User-defined variable (see ZC).

Definition at line 1912 of file gclib.cs.

## ◆ zd_variable

SL gclib.GDataRecord47300_24EX.zd_variable

ZD User-defined variable (see ZD).

Definition at line 1913 of file gclib.cs.

## ◆ output_bank_2

UW gclib.GDataRecord47300_24EX.output_bank_2

Digital outputs 24-39. Data only valid for parts with 24EXOUT.

Definition at line 1915 of file gclib.cs.

## ◆ output_back_3

UW gclib.GDataRecord47300_24EX.output_back_3

Digital outputs 40-47. Data only valid for parts with 24EXOUT.

Definition at line 1916 of file gclib.cs.

## ◆ input_bank_2

UW gclib.GDataRecord47300_24EX.input_bank_2

Digital inputs 24-39. Data only valid for parts with 24EXIN.

Definition at line 1918 of file gclib.cs.

## ◆ input_bank_3

UW gclib.GDataRecord47300_24EX.input_bank_3

Digital inputs 40-47. Data only valid for parts with 24EXIN.

Definition at line 1919 of file gclib.cs.

The documentation for this struct was generated from the following file:

- gclib.cs